%define realname   Module-Versions-Report

Name:		perl-%{realname}
Version:        1.05
Release:        %mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
Summary:        Perl module to report versions of all modules in memory
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildArch:      noarch

%description
Perl module to report versions of all modules in memory.
If you add "use Module::Versions::Report;" to a program (especially handy if 
your program is one that demonstrates a bug in some module), then when the 
program has finished running, you well get a report detailing the all 
modules in memory, and noting the version of each (for modules that 
defined a $VERSION, at least).

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2009.0
+ Revision: 220144
- update to new version 1.05

* Sat Jun 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
+ Revision: 216585
- update to new version 1.04

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.03-1mdv2008.1
+ Revision: 136291
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 1.03-1mdv2008.0
+ Revision: 29061
- Update to new version 1.03

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.02-4mdv2008.0
+ Revision: 25297
- rebuild


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.02-3mdk
- Fix According to perl Policy
	- Source URL

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 1.02-2mdk
- Do not ship empty dir

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.02-1mdk
- First mandriva package

